org.apache.thrift.async

## Interface AsyncMethodCallback<T>

-     public interface AsyncMethodCallback<T>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onComplete(T response)` This method will be called when the remote side has completed invoking your method call and the result is fully read.
    `void` | `onError(java.lang.Exception exception)` This method will be called when there is an unexpected clientside exception.

- - ### Method Detail

    - #### onComplete

          void onComplete(T response)

      This method will be called when the remote side has completed invoking your method call and the result is fully read. For oneway method calls, this method will be called as soon as we have completed writing out the request.
      Parameters:
        `response` -

    - #### onError

          void onError(java.lang.Exception exception)

      This method will be called when there is an unexpected clientside exception. This does not include application-defined exceptions that appear in the IDL, but rather things like IOExceptions.
      Parameters:
        `exception` -